/*
Copyright  CD Projekt RED 2015
*/

/*KNGCSLM file*/


class CKNGCSLM {
	
	private var welcomemsg : string;
	private var environment : CEnvironmentDefinition;
	private var environmentDefinitions : array<String>;
		
public function Initialize()
	{	
	
	var priority : Int32;
	var envBlendValue : float;
	
	////////////////////////////
	//SET YOUR OWN VALUES HERE//
	////////////////////////////
	priority = 10;
	envBlendValue = 0.5;
		
	environmentDefinitions.PushBack("environment\definitions\cutscenes_definition\cutscen_definition_global.env");
	
	LoadKNGCSLM(priority, envBlendValue);
	
	}
	
	
public function DisplayWelcomeMessage() 
	{
			
		welcomemsg = "Cutscene Lighting Mod initialized!";
				
		GetWitcherPlayer().DisplayHudMessage(welcomemsg);

	}
	
public function LoadKNGCSLM(priority : Int32, envBlendValue : float) 
	{
	
	environment = (CEnvironmentDefinition)LoadResource(environmentDefinitions[0], true);
	
	if(environment) {
	
		ActivateEnvironmentDefinition(environment, priority, envBlendValue, 1.000000);
	
	}
	
		RequestWeatherChangeTo('WT_Clear', 1.000000);
	
	}

}